Subject: GDM does not starts after April 10 system reconfigure
From: R Veera Kumar <[email-masked]>
To: [email-masked]
Date: Thu, 16 Apr 2020 05:50:20 +0530
List-Id: <debbugs-submit.debbugs.gnu.org>

I am using guix.git master branch.

I did guix system reconfigure on April 10 with gnome, mate, xfce and enlightenment service-types.
It was working. And next day I again did that and gdm does not starts anymore.

Initial console says:

New session c1 of user gdm.
Removed session c1.

/var/log/messages says:

gdm: Child process -325 was already dead.

/var/log/gdm/greeter.log says:

(EE)
Fatal server error:
(EE) Cannot open log file "/var/lib/gdm/.local/share/xorg/Xorg.pid-330.log"
(EE)
(EE)
Please consult the The X.Org Foundation support
         at http://wiki.x.org
 for help.
(EE)
Unable to run X server

Any help would be appreciated!

Veera